microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Cancel an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Parametry cesty
agent_name
string
vyžadováno
The name of the agent.
invocation_id
string
vyžadováno
The unique identifier of the invocation to cancel.
Parametry záhlaví
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Text požadavku
Optional request body.
Content-Type: */*
Odpovědi
The request has succeeded.
Hlavičky
x-agent-session-id
string
vyžadováno
Session ID for this invocation. Returns the session ID associated with the invocation.
Text
Content-Type: */*
Žádost
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json